<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xcorrelativo=$_REQUEST['xcorrelativo'];
@$xtipo_comprobante=$_REQUEST['xtipo_comprobante'];
@$xempresa=$_REQUEST['xempresa'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];

@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$ser = new Series;

switch($xaccion){
	
	case "adicionar": 
		if($ser->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("serie creada satisfactoriamente.")
			parent.document.form_buscar.submit();
			//parent.location.href="../series.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($ser->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Serie modificada satisfactoriamente.")
			parent.document.form_buscar.submit();			
			//parent.location.href="../series.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		
		if($vali->series($conexion,$xaccion,$xnombres)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($ser->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Serie eliminada satisfactoriamente.")
				parent.document.form_buscar.submit();
				//parent.location.href="../series.php";
				</script>			
				<?php
				
			}		
		}			
		break;
		
		
		

	case "activar":
		if($ser->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Series{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xcorrelativo, $xtipo_comprobante, $xempresa, $xaccion, $xid;						
		
		//$r_verifica_existe = mysqli_query($conexion,"SELECT * FROM comprobante_serie c WHERE comser_serie='$xnombres';");
		$r_verifica_existe = mysqli_query($conexion,"SELECT * FROM comprobante_serie c WHERE comtip_codigo_fk='$xtipo_comprobante' AND comser_serie='$xnombres';");
		if( mysqli_num_rows($r_verifica_existe) > 0){
		
			?>			
			<script language="javascript">
			alert("La serie que intenta registrar ya existe.");
			</script>			
			<?php		
		
		}else{

			$r = mysqli_query($conexion,"insert into comprobante_serie (comtip_codigo_fk, 
													  emp_codi_fk,
													  comser_serie,
													  comser_correlativo,
													  comser_usu_crea)
											values ('$xtipo_comprobante', 
													'$xempresa',
													'$xnombres',
													'$xcorrelativo',
													'$xusuario_sesion');");
			
			if($r){		
				return 1;
			}
		}		
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xcorrelativo, $xtipo_comprobante, $xempresa, $xaccion, $xid, $xusuario_sesion;

		//$r_verifica_existe = mysqli_query($conexion,"SELECT * FROM comprobante_serie c WHERE comser_serie='$xnombres' AND comser_codi!=$xid ;");
		$r_verifica_existe = mysqli_query($conexion,"SELECT * FROM comprobante_serie c WHERE comtip_codigo_fk='$xtipo_comprobante' AND comser_serie='$xnombres' AND comser_codi!=$xid ;");
		if(mysqli_num_rows($r_verifica_existe > 0)){
		
			?>			
			<script language="javascript">
			alert("La serie que intenta registrar ya existe.");
			</script>
			<?php		
		
		}else{

			$r = mysqli_query($conexion,"update comprobante_serie set comtip_codigo_fk = '$xtipo_comprobante',
													emp_codi_fk = '$xempresa',
													comser_serie = '$xnombres',
													comser_correlativo = '$xcorrelativo',
													comser_usu_modifica = '$xusuario_sesion'
											where comser_codi = $xid;");
			
			if($r){		
				return 1;
			}	
			
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"delete from comprobante_serie where comser_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xaccion, $xid, $xusuario_sesion, $xestado;		

		$r = mysqli_query($conexion,"update comprobante_serie set comser_estado = '$xestado',
															   comser_usu_activa = '$xusuario_sesion'	 
															where comser_codi = $xid;");
																	
		if($r){		
			return 1;
		}	
	
	}	


}


?>
